load("covid_eq4_NN0_aggre.Rda")


S0 = S.avg
gdp0 = G.avg
Q0 = Q.avg
new0 = c(numinfec_0,-diff(S0[,6] * numind) )
total0 = cumsum(c(numinfec_0,-diff(S0[,6] * numind) ))
load("covid_eq4_subsidy1.Rda")
S1 = S.avg
gdp1 = G.avg
Q1 = Q.avg
new1 = c(numinfec_0,-diff(S1[,6] * numind)  )
total1 = cumsum(c(numinfec_0,-diff(S1[,6] * numind) ))
load("covid_eq4_subsidy2.Rda")
S2 = S.avg
gdp2 = G.avg
Q2 = Q.avg
new2 = c(numinfec_0,-diff(S2[,6] * numind)  )
total2 = cumsum(c(numinfec_0,-diff(S2[,6] * numind) ))

load("covid_eq4_subsidy3.Rda")
S3 = S.avg
gdp3 = G.avg
Q3 = Q.avg
new3 = c(numinfec_0,-diff(S3[,6] * numind)  )
total3 = cumsum(c(numinfec_0,-diff(S3[,6] * numind) ))


pdf("compare_subsidy2.pdf")
par(mfrow=c(2,2))
plot(timetrend, gdp0/gdp0[1],type="l", main = "output", ylab = "GDP", xlab = "Day", ylim = c(0.3,1))
lines(timetrend, gdp1/gdp1[1], col = 2)
lines(timetrend, gdp2/gdp2[1], col = 3)
lines(timetrend, gdp3/gdp3[1], col = 4)
legend("bottomright", c("No Interv", "10% subsidy","20% subsidy","30% subsidy"), col = c(1,2,3,4), lty = c(1,1,1,1), cex = 0.85)

plot(timetrend, Q0, cex = 0.5, type="l",xlab = "Day", ylab = "Qt", main = "Share of Confined Individuals Q(t)", ylim = range(c(Q0,Q1,Q2,Q3, 0.6)))
lines(timetrend, Q1, col = 2)
lines(timetrend, Q2, col = 3)
lines(timetrend, Q3, col = 4)

legend("topright", c("No Interv", "10% subsidy","20% subsidy","30% subsidy"), col = c(1,2,3,4), lty = c(1,1,1,1), cex = 0.85)

plot(timetrend, c(numinfec_0,-diff(S0[,6] * numind)  ), type="l", xlab = "Day",ylab = "cases", cex = 0.5,  main = "new infectious cases per day")
lines(timetrend, c(numinfec_0,-diff(S1[,6] * numind)  ), col = 2)
lines(timetrend, c(numinfec_0,-diff(S2[,6] * numind)  ), col = 3)
lines(timetrend, c(numinfec_0,-diff(S3[,6] * numind)  ), col = 4)

legend("topright", c("No Interv", "10% subsidy","20% subsidy","30% subsidy"), col = c(1,2,3,4), lty = c(1,1,1,1), cex = 0.85)

plot(timetrend, S0[,1]*numind, type="l", xlab = "Day", ylab = "Total Death", cex = 0.5, main = "Total Death")
lines(timetrend, S1[,1]*numind, col = 2)
lines(timetrend, S2[,1]*numind, col = 3)
lines(timetrend, S3[,1] * numind, col = 4)
legend("bottomright", c("No Interv", "10% subsidy","20% subsidy","30% subsidy"), col = c(1,2,3,4), lty = c(1,1,1,1), cex = 0.85)
dev.off()


pdf("compare_subsidy_logtotal.pdf")
plot(timetrend, log(cumsum(c(numinfec_0,-diff(S0[,6] * numind) ))), ylim = c(2, 14),xlab = "Day",ylab = "log total infectious cases", type="l", cex = .5, main = "log total infectious cases")
lines(5:25, 0.57 * (0:20) + log(total0[5]),lty = 2)
text(15, 13, "growth rate 57%", srt = 75, cex = 0.85)
lines(timetrend, log(cumsum(c(numinfec_0,-diff(S1[,6] * numind)))), col = 2)
lines(timetrend, log(cumsum(c(numinfec_0,-diff(S2[,6] * numind) ))), col = 3, type="l")
lines(6:25, 0.5 * (0:19) + log(total2[6]),lty=2,col=3)
text(25, 13, "growth rate 50%", srt = 70, col = 3, cex = 0.85)
lines(timetrend, log(cumsum(c(numinfec_0,-diff(S3[,6] * numind) ))), col = 4, type="l")
lines(7:40, 0.3 * (0:33) + log(total3[7]),lty=2,col=4)
text(38,13, "growth rate 30%", srt = 65, col = 4, cex = 0.85)
legend("bottomright", c("No Interv", "10% subsidy","20% subsidy","30% subsidy"), col = c(1,2,3,4), lty = c(1,1,1,1), cex = 0.85)

dev.off()
