load("covid_eq4_NN0_aggre.Rda")
# ring lattice (40)

S0 = S.avg
gdp0 = G.avg
Q0 = Q.avg
new0 = c(numinfec_0,-diff(S0[,6] * numind) )
total0 = cumsum(c(numinfec_0,-diff(S0[,6] * numind) ))
load("covid_eq4_NN6_aggre.Rda")
# caveman 
S1 = S.avg
gdp1 = G.avg
Q1 = Q.avg
new1 = c(numinfec_0,-diff(S1[,6] * numind)  )
total1 = cumsum(c(numinfec_0,-diff(S1[,6] * numind) ))
load("covid_eq4_NN2_aggre.Rda")
# small world
S2 = S.avg
gdp2 = G.avg
Q2 = Q.avg
new2 = c(numinfec_0,-diff(S2[,6] * numind)  )
total2 = cumsum(c(numinfec_0,-diff(S2[,6] * numind) ))

load("covid_eq4_NN5_aggre.Rda")
# caveman wired
S3 = S.avg
gdp3 = G.avg
Q3 = Q.avg
new3 = c(numinfec_0,-diff(S3[,6] * numind)  )
total3 = cumsum(c(numinfec_0,-diff(S3[,6] * numind) ))

load("covid_eq4_NN4_aggre.Rda")
# ring lattice (20)
S4 = S.avg
gdp4 = G.avg
Q4 = Q.avg
new4 = c(numinfec_0,-diff(S4[,6] * numind)  )
total4 = cumsum(c(numinfec_0,-diff(S4[,6] * numind) ))

pdf("compare_NNnetwork.pdf", height = 12, width = 15)
par(mfrow=c(2,2))
plot(timetrend, gdp0/gdp0[1],type="l", main = "output", ylab = "GDP", xlab = "Day", ylim = c(0.1, 1), lwd = 1.5)
lines(timetrend, gdp1/gdp1[1], col = 2, lwd = 1.5)
lines(timetrend, gdp2/gdp2[1], col = 3, lwd = 1.5)
lines(timetrend, gdp3/gdp3[1], col = 4, lwd = 1.5)
lines(timetrend, gdp4/gdp4[1], col = 6, lwd = 1.5)

legend("bottomright", c("Ring lattice (40)", "Caveman","Small-world","Caveman-rewired", "Ring lattice (20)"), col = c(1,2,3,4,6), lty = c(1,1,1,1,1) )

plot(timetrend, Q0, cex = 0.5, type="l",xlab = "Day", ylab = "Qt", main = "Share of Confined Individuals Q(t)", ylim = range(c(Q0,Q1,Q2,Q3)), lwd = 1.5)
lines(timetrend, Q1, col = 2, lwd = 1.5)
lines(timetrend, Q2, col = 3, lwd = 1.5)
lines(timetrend, Q3, col = 4, lwd = 1.5)
lines(timetrend, Q4, col = 6, lwd = 1.5)
legend("topright", c("Ring lattice (40)", "Caveman","Small-world","Caveman-rewired", "Ring lattice (20)"), col = c(1,2,3,4,6), lty = c(1,1,1,1,1) )
plot(timetrend, c(numinfec_0,-diff(S0[,6] * numind)  ), type="l", xlab = "Day",ylab = "cases", cex = 0.5,  main = "new infectious cases per day", ylim = c(0, 1000), lwd = 1.5)
lines(timetrend, c(numinfec_0,-diff(S1[,6] * numind)  ), col = 2, lwd = 1.5)
lines(timetrend, c(numinfec_0,-diff(S2[,6] * numind)  ), col = 3, lwd = 1.5)
lines(timetrend, c(numinfec_0,-diff(S3[,6] * numind)  ), col = 4, lwd = 1.5)
lines(timetrend, c(numinfec_0,-diff(S4[,6] * numind)  ), col = 6, lwd = 1.5)

legend("topright", c("Ring lattice (40)", "Caveman","Small-world","Caveman-rewired", "Ring lattice (20)"), col = c(1,2,3,4,6), lty = c(1,1,1,1,1))
plot(timetrend, S0[,1]*numind, type="l", xlab = "Day", ylab = "Total Death", cex = 0.5, main = "Total Death", lwd = 1.5)
lines(timetrend, S1[,1]*numind, col = 2, lwd = 1.5)
lines(timetrend, S2[,1]*numind, col = 3, lwd = 1.5)
lines(timetrend, S3[,1] * numind, col = 4, lwd = 1.5)
lines(timetrend, S4[,1] * numind, col = 6, lwd = 1.5)
legend("bottomright", c("Ring lattice (40)", "Caveman","Small-world","Caveman-rewired", "Ring lattice (20)"), col = c(1,2,3,4,6), lty = c(1,1,1,1,1) )
dev.off()

pdf("compare_NNnetwork_logtotal.pdf")
plot(timetrend, log(cumsum(c(numinfec_0,-diff(S0[,6] * numind) ))), ylim = c(2, 14),xlab = "Day",ylab = "log total infectious cases", type="l", cex = .5, main = "log total infectious cases")
#lines(2:25, 0.57 * (0:23) + log(total0[2]),lty = 2)
#text(16, 13, "growth rate 57%", srt = 75, cex = 0.85)
lines(timetrend, log(cumsum(c(numinfec_0,-diff(S1[,6] * numind)))), col = 2)
#lines(5:25, 0.47 * (0:20) + log(total1[5]),lty=2,col=2)
#text(25, 13, "growth rate 47%", srt = 75, col = 2, cex = 0.85)
lines(timetrend, log(cumsum(c(numinfec_0,-diff(S2[,6] * numind) ))), col = 3, type="l")
lines(timetrend, log(cumsum(c(numinfec_0,-diff(S3[,6] * numind) ))), col = 4, type="l")
lines(timetrend, log(cumsum(c(numinfec_0,-diff(S4[,6] * numind) ))), col = 6, type="l")
#lines(13:50, 0.3 * (0:37) + log(total4[13]), col = 6, lty = 2)
#text(39, 13, "growth rate 30%", srt = 65, col = 6, cex = 0.85)

legend("bottomright", c("Ring lattice (40)", "Caveman","Small-world","Caveman-rewired", "Ring lattice (20)"), col = c(1,2,3,4,6), lty = c(1,1,1,1,1), cex = 0.85)

dev.off()
